% this script does two things to make the Elekta datasets better suited to
% EEGLAB:
%   - currently the STI101 trigger type carries the sum of the 8 bitwise
%   trigger channels, and the two response channels. So I do a bitwise AND
%   with 255 (binary 11111111) to throw away the higher bits
%   - I'm only interested in the STI101 composite channel, that should have
%   the 8 bit trigger value. The other single bit channels (e.g. ) aren't
%   necessary. 
% TODO - test removal of uninteresting events

eventsToDelete = [];
for e=1:length(EEG.event)
    if(strcmp(EEG.event(e).type,'STI101'))
        t=EEG.event(e);
        newValue = bitand(uint16(255),uint16(t.value));
        EEG.event(e).type = num2str(newValue);
    else
        eventsToDelete = [eventsToDelete e];
        EEG.event(e).type = ''; % remove if event deletion works
    end
end
% untried: EEG = pop_editeventvals(EEG, 'delete',eventsToDelete);
EEG = eeg_checkset(EEG)
